RMT(8)

NOM
rmt - serveur distant pour bande magnétique

SYNOPSIS
rmt

DESCRIPTION
Rmt fournit un accès distant aux fichiers et périphériques pour tar(1), cpio(1) et des utilitaires similaires de sauvegarde. Il est normalement appelé en exécutant rsh(1) ou ssh(1) vers la machine distante, en utilisant facultativement un nom de connexion différent si un nom est fourni.

Le programme appelant communique avec rmt en envoyant des requêtes sur son entrée standard et en lisant les réponses sur la sortie standard. Une requête consiste en une lettre suivie par un argument (si nécessaire) et un caractère de nouvelle ligne. Les données supplémentaires, si elles existent, sont envoyées après celui-ci. En cas de succès, rmt renvoie

Anombre\n

où nombre est une représentation en ASCII d’un code de retour décimal. Les données supplémentaires sont renvoyées après cette ligne. En cas d’erreur, la réponse suivante est renvoyée :

Enuméro_erreur\nmessage_erreur\n

où numéro_erreur est un des codes d’erreur du système comme décrits dans errno(3), et message_erreur est une description compréhensible sur une ligne de l’erreur telle qu’affichée par perror(3).

Les commandes disponibles et les réponses possibles sont traitées en détails dans la section suivante.

COMMANDES

Opériphérique\ndrapeaux\n
    Ouverture du périphérique avec les drapeaux fournis. Si un périphérique a déjà été ouvert, il est fermé avant l’ouverture du nouveau.

    Arguments

    périphérique
        Nom du périphérique à ouvrir.

    drapeaux
        Drapeaux pour open(2) : un nombre décimal ou n’importe quelle constante O_* valable de fcntl.h (le O_ initial peut être omis) ou une opération bit à bit or (en utilisant |) de n’importe lesquels d’entre eux, par exemple :
            576
            64|512
            CREAT|TRUNC
        De plus, une forme combinée est aussi autorisée, c'est-à-dire un mode décimal suivi par sa représentation symbolique. Dans ce cas, la représentation symbolique est privilégiée.

    Réponse
        A0\n en cas de succès.

    Extensions
        La version BSD autorise uniquement les nombres décimaux comme drapeaux.

C[périphérique]\n
    Fermer le périphérique actuellement ouvert.

    Arguments
        Tous les arguments sont ignorés silencieusement.

    Réponse
        A0\n en cas de succès.

Ldébut\ndécalage\n
    Exécuter lseek(2) sur le périphérique actuellement ouvert avec les paramètres indiqués.

    Arguments

        début
            Position à partir de laquelle le décalage est à mesurer. Les valeurs autorisées sont :

            	0, SET, SEEK_SET	recherche à partir du début du fichier
            	1, CUR, SEEK_CUR	recherche à partir de la position actuelle
            	2, END, SEEK_END	recherche à partir de la fin du fichier

    Réponse
        Adécalage\n en cas de succès. Le décalage est la nouvelle position dans le fichier.

    Extensions
        La version de BSD autorise seulement 0,1 ou 2 comme début.

Rnombre\n
    Lire nombre octets de données du périphérique actuel.

    Arguments

        nombre
            Nombre d’octets à lire.

    Réponse
        En cas de succès :

        Anombre-lu\n

        suivi par nombre-lu d’octets lus du périphérique.

Wnombre\n
    Écrire des données sur le périphérique actuel. La commande est suivie par nombre octets de données d’entrée.

    Arguments

        nombre
            Nombre d’octets à écrire.

    Réponse
        En cas de succès : Anombre_écrit\n, où nombre_écrit est le nombre d’octets réellement écrits.

Icode_op\nnombre\n
    Exécuter une commande MTIOCOP ioctl(2) avec les paramètres indiqués.

    Arguments

        code_op
            Code d’opération MTIOCOP.

        nombre
            mt_count.

    Réponse
        En cas de succès : A0\n.

S\n Renvoyer l’état du périphérique actuellement ouvert, tel qu’obtenu avec l’appel MTIOCGET ioctl(2).

    Arguments
        Aucun

    Réponse
        En cas de succès : Anombre\n suivi par nombre octets de données.

VOIR AUSSI
tar(1).

BOGUES
L’utilisation de cet utilitaire comme outil générique d’accès à des fichiers distants est déconseillée.

SIGNALEMENTS DE BOGUES
Signaler toute erreur à <bug-tar@gnu.org>.

HISTORIQUE
La commande rmt est apparue dans 4.2BSD. GNU rmt a été écrit de manière indépendante en utilisant les spécifications de BSD.

COPYRIGHT
Copyright © 2013, 2018 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou ultérieure <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Valéry Perrin <valery.perrin.debian@free.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Florentin Duneau <fduneau@gmail.com>, Thomas Blein <tblein@tblein.eu> et David Prévot <david@tilapin.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.